import { createAsyncThunk } from '@reduxjs/toolkit';
import axios from 'axios';
import { Pizza, SearchPizzaParams } from './types';
import pickBy from 'lodash/pickBy';
import identity from 'lodash/identity';

export const fetchPizzas = createAsyncThunk<[]>(
  'pizza/fetchPizzasStatus',
  async () => {
    const { data } = await axios.get<Pizza[]>(process.env.SITE+'loadingStock');
    return data;
  },
);
